import 'package:json_annotation/json_annotation.dart';

import '../../bean/character_info.dart';


part 'character_unlock_response.g.dart';

@JsonSerializable()
class CharacterUnlockResponse {

  @JsonKey(name: "characterInfo")
  late final CharacterInfo characterInfo;

  CharacterUnlockResponse({ required this.characterInfo});

  factory CharacterUnlockResponse.fromJson(Map<String, dynamic> json) =>
      _$CharacterUnlockResponseFromJson(json);
}
